gr::funcube::fcdpp_control Class Referenceabstract

<+description of block+> More...

`#include <fcdpp_control.h>`

Inheritance diagram for gr::funcube::fcdpp_control:

## Public Types

typedef std::shared_ptr< fcdpp_control > | sptr

## Public Member Functions

virtual void | set_freq (float freq)=0
| Sets the frequency . More...
virtual void | set_lna (int gain)=0
| Switches the LNA on/off. More...
virtual void | set_mixer_gain (int gain)=0
| Switches mixer gain onf/off. More...
virtual void | set_if_gain (int gain)=0
| Set If gain. More...

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of funcube::fcdpp_control. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<fcdpp_control> gr::funcube::fcdpp_control::sptr

## Member Function Documentation

## make()

static sptr gr::funcube::fcdpp_control::make | ( |  | ) |

static

Return a shared_ptr to a new instance of funcube::fcdpp_control.

To avoid accidental use of raw pointers, funcube::fcdpp_control's constructor is in a private implementation class. funcube::fcdpp_control::make is the public interface for creating new instances.

## set_freq()

virtual void gr::funcube::fcdpp_control::set_freq | ( | float | freq | ) |

pure virtual

Sets the frequency .

Parameters

  freq | The frequency in unit Hz

Sets the frequency of the Funcube Dongle with Hz resolution

Implemented in gr::funcube::fcdpp_control_impl.

## set_if_gain()

virtual void gr::funcube::fcdpp_control::set_if_gain | ( | int | gain | ) |

pure virtual

Set If gain.

Parameters

  gain | The If gain value between 0 and 59 db

Implemented in gr::funcube::fcdpp_control_impl.

## set_lna()

virtual void gr::funcube::fcdpp_control::set_lna | ( | int | gain | ) |

pure virtual

Switches the LNA on/off.

Parameters

  gain | lna on/off.

Implemented in gr::funcube::fcdpp_control_impl.

## set_mixer_gain()

virtual void gr::funcube::fcdpp_control::set_mixer_gain | ( | int | gain | ) |

pure virtual

Switches mixer gain onf/off.

Parameters

  gain | true means on.

Implemented in gr::funcube::fcdpp_control_impl.

The documentation for this class was generated from the following file:

- fcdpp_control.h